Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 522104 - KMS: Switching VT's while running fullscreen apps causes the default cursor to be set again
Summary: KMS: Switching VT's while running fullscreen apps causes the default cursor t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 13:45 UTC by Hans de Goede
Modified: 2018-04-11 15:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 15:09:26 UTC
Type: ---


Attachments (Terms of Use)

Description Hans de Goede 2009-09-09 13:45:14 UTC
This is with the latest kernel / libdrm / xorg-x11-drv-ati, etc. On the
Radeon test day.

Steps to Reproduce:
1. Start a full screen SDL application I tried with
   nogravity-software (yum install nogravity) and doom shareware
   with vavoom as engine (yum install doom-shareware)
2. When it is running note there is a custom mouse cursor
   (which gets rendered by the software, not by X)
3. Switch to a different VT, switch back
4. Notice the default (default in gnome, not the old X cross) mouse
   cursor now is shown in the center of the screen (and is not moving
   when you move the mouse).
5. If you now exit the application, it will hang.
6. Switching vt's again and kill -9, will get you X back, albeit
   often in a wrong resolution (but the same problem happens if the
   app is using the same resolution as the desktop).

See:
http://www.smolts.org/client/show/pub_f0eaeaa8-2656-4abe-b120-c35b74aade75

For my hardware profile, no xorg.conf


Note the same (the showing of the default cursor) happens when testing other
games which use different Game toolkits as SDL, such as allegro based games
(tested with machineball) and ClanLib based games (tested with methane), but
with these toolkits cases the games do not hang on exit.

Comment 1 Matěj Cepl 2009-11-05 17:15:06 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 2 Jérôme Glisse 2009-11-12 16:38:15 UTC
Maybe some DGA issue, have to dig that. You confirm that you still have this issue with lastest fedora 12 package.

Comment 3 Hans de Goede 2009-11-15 20:27:58 UTC
I can confirm this still happens with:

kernel-2.6.31.5-127.fc12.x86_64
libdrm-2.4.15-4.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.x86_64
xorg-x11-server-Xorg-1.7.1-7.fc12.x86_64
mesa-libGL-7.6-0.14.fc12.x86_64

I don't think this is DGA, all that is needed is creating an unmanaged (override redirect) window at pos 0x0, and then given that window a hidden cursor (implemented as a fully transparent cursor by most game sdk's afaik).

Then switch tty, switch back and the default gnome right hand user mouse pointer
is there in the middle of the screen and not moving (which might be because the
app has grabbed the mouse and is drawing a software mouse cursor itself, which
does still move).

For example try quake3-demo ("yum install quake3-demo), which does use xf86vidmode
to change the resolution, but does not use DGA. And I've even seen it with apps which just create an override redirect window which fully covers the desktop (so no mode switching).

Comment 4 Bug Zapper 2009-11-16 12:06:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-11-04 10:09:32 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Hans de Goede 2010-11-04 15:09:26 UTC
I can no longer reproduce this with F-14, closing.


Note You need to log in before you can comment on or make changes to this bug.